Ask Your Question
0

Packstack - Preinstalling Puppet and discovering hosts' details[ ERROR ]

asked 2016-10-13 10:18:19 -0500

vmem_intern gravatar image

Hello everyone,

I just got a fresh licensed RHEL 7 install and I am trying to install packstack on it with the packstack --allinone command. When the shell prompts the following line: Preinstalling Puppet and discovering hosts' details[ ERROR ].

Opening the installation log file, I get the following message:

rpm -q --whatprovides 2.7.0
2016-10-13 08:10:05::ERROR::run_setup::1022::root:: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 997, in main
    single_step_aio_install(options, logFile)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 765, in single_step_aio_install
    single_step_install(options, logFile)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 796, in single_step_install
    _main(options, answerfilepath, logFile)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 659, in _main
    runSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 626, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/setup_controller.py", line 81, in runAllSequences
    sequence.run(config=self.CONF, messages=self.MESSAGES)
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 109, in run
    step.run(config=config, messages=messages)
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 50, in run
    self.function(config, messages)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/prescript_000.py", line 1238, in preinstall_and_discover
    server.execute()
  File "/usr/lib/python2.7/site-packages/packstack/installer/utils/shell.py", line 128, in execute
    raise ScriptRuntimeError(msg, stdout=out, stderr=err)
ScriptRuntimeError: Failed to run remote script, stdout: puppet-3.8.7-2.el7.noarch
hiera-1.3.4-5.el7.noarch
openssh-clients-6.6.1p1-25.el7_2.x86_64
tar-1.26-29.el7.x86_64
nmap-ncat-6.40-7.el7.x86_64
puppet-aodh-9.4.0-1.el7.noarch

Any ideas on how to fix this?

Thank you

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
0

answered 2016-11-02 19:54:03 -0500

I am receiving the same error mentioned in the question by OP. I tried the solution given above and it did not change anything. Has anyone found any resolution to this?

edit flag offensive delete link more
0

answered 2016-10-16 04:08:41 -0500

sunnyarora gravatar image

seems there are some dependencies.

First of all check the systems /etc/resolv.conf file. make sure you are able to resolve DNS so that pakages can be pulled over the internet. Then run yum repolist and check if all required repositories present. The required repositories need be installed and enabled on your server, like:

Extra Packages for Enterprise Linux (EPEL)

OpenStack Jonu/kilo/ Repository

Then run yum clean all now install some dependencies.

yum install -y puppet hiera openssh-clients tar nc rubygem-json erlang
systemctl start puppet
systemctl status puppet

Rerun packstack installation or with the anser file.

packstack --answer-file=./answer-file-previous.txt

Let us know the Outcome. -thanks

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2016-10-13 10:18:19 -0500

Seen: 1,778 times

Last updated: Oct 16 '16